/*** BASE STYLING ***/
* {
    box-sizing: border-box;
}

body { 
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
    font-size: 16px;
    line-height: 1.5;
    color: #1D1C1C;
    background-color: #F9F5EC;
}

:root {
    --spacing-xs: 0.5rem;
    --spacing-sm: 1rem;
    --spacing-md: 2rem;
    --spacing-lg: 4rem;
    --spacing-xl: 8rem;

    --accent-color: #7F1818; 
    --cream-text: #F9F5EC;
    --black-text: #1D1C1C;
    --color-links-gold: #C3731C; 
}

/*** BASE TYPOGRAPHY ***/

h1 {
    font-size: clamp(2.5rem, 6vh, 5rem);
    line-height: 1.05;
    font-weight: 100;
    margin: 0;
    font-family: 'Casanova Serif Display', serif;
    color: var(--cream-text);
}

h2 {
    font-size: clamp(1rem, 3.5vh, 3.75rem);
    line-height: 1.1;
    font-weight: 700;
    margin: 0;
    font-family: 'Casanova Serif Display', serif;
    letter-spacing: 1px;
}

h3 {
    font-size: clamp(1.5rem, 3.5vh, 3rem);
    line-height: 1.2;
    font-weight: 600;
    margin: 0;
}

h4 {
    font-size: clamp(1rem, 1.5vh, 2.25rem);
    line-height: 1.2;
    font-weight: 600;
    margin: 0;
    font-family: 'Montserrat', Arial, sans-serif;
    font-style: italic;
    font-weight: 500;
}

p {
    font-size: clamp(1rem, 2vh, 1.5rem);
    line-height: 1.5;
    font-weight: 400;
    margin: 0;
}

a {
    font-family: 'Montserrat', Arial, sans-serif;
    font-style: italic;
    font-weight: 500;
    color: var(--cream-text);
    margin: 0;
}

/*** HOMEPAGE STYLING ***/

.homepage-parent {
    display: flex;
    flex-direction: row;
}

.menu-bar {
    display: flex;
    flex-direction: column;
    background-color: var(--accent-color);
    height: 100vh;
    height: 100dvh;
    padding: 20px 20px 0;
}

.projects-slideshow {
    background-color: var(--cream-text);
    min-height: 100vh;
    flex-grow: 4;
    position: relative;
}

/* Nav Bar */

.top-bar {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    text-align: center;
    align-items: center;
}

#logo-white {
    width: 60px;
    height: auto;
}

#linkedin-logo {
    width: 30px;
    height: auto;
}

.middle-bar {
    display: flex;
    flex-direction: column;
    flex-grow: 8;
}

.middle-bar h1 {
    margin: 0;
    width: fit-content;
    margin-top: 60px;
}

.bottom-bar {
    display: flex;
    flex-direction: row;
    flex-grow: 1;
    justify-content: space-evenly;
    text-align: center;
    align-items: center;
}

/* Project Bar */

#background-text {
    position: absolute;
    bottom: 0;
    right: 0;
    z-index: 0;
    width: 100%;
    opacity: 10%;
}

.projects-slideshow > *:not(#background-text) {
    position: relative;
    z-index: 1;
}

.scroll-container {
    display: flex;
    align-items: center;
    flex-direction: column;
    height: 100vh;
    overflow-y: auto;
}

.project-link {
    width: clamp(350px, 50vw, 800px);;
    height: auto;
    margin-bottom: 60px;
    margin-top: 20px;
}

@media (max-width: 768px) {

    .homepage-parent {
        flex-direction: column;
    }

    .menu-bar {
        min-height: auto;
        height: 40vh;
    }

    .desktop-break {
        display: none;
    }

    .middle-bar {
        margin-bottom: 40px;
    }

    .middle-bar h1 {
        margin-top: 30px;
        font-size: clamp(2rem, 4vw, 1.5rem);
    }

    .bottom-bar {
        margin-bottom: 20px;
    }

    .projects-slideshow {
        width: 100%;
        padding: 10px;
    }

    .scroll-container {
        width: 100%;
        display: flex;
        align-items: center;
        overflow-y: visible;
    }

    .scroll-container a {
        width: 100%;
        display: flex;
        justify-content: center;
    }

    #background-text {
        display: none;
    }

    .project-link {
        width: 100%;
        max-width: 600px;
        margin-bottom: 30px;
    }

    .project-link-column-left,
    .project-link-column-right {
        align-items: center;
    }

}